svn commit: samba r7976 - in branches/SAMBA_3_0/examples: . debugging

jht at samba.org jht at samba.org
Tue Jun 28 01:50:18 GMT 2005


Author: jht
Date: 2005-06-28 01:50:18 +0000 (Tue, 28 Jun 2005)
New Revision: 7976

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=7976

Log:
Adding debugging info.
Added:
   branches/SAMBA_3_0/examples/debugging/
   branches/SAMBA_3_0/examples/debugging/README
   branches/SAMBA_3_0/examples/debugging/solaris-oops.sh


Changeset:
Added: branches/SAMBA_3_0/examples/debugging/README
===================================================================
--- branches/SAMBA_3_0/examples/debugging/README	2005-06-28 01:37:19 UTC (rev 7975)
+++ branches/SAMBA_3_0/examples/debugging/README	2005-06-28 01:50:18 UTC (rev 7976)
@@ -0,0 +1,28 @@
+Last update: John H Terpstra - June 27, 2005
+
+Subject: This directory will contain debugging tools and tips.
+
+Notes: Identification and confirmation of some bugs can be difficult.
+       When such bugs are encountered it is necessary to provide as
+       sufficient detailed debugging information to assist the developer
+       both by providing incontrivertable proof of the problem, but also
+       precise information regarding the values of variables being processed
+       at the time the problem strikes.
+
+       This directory is the ideal place to locate useful hints, tips and
+       methods that will help Samba users to provide the information that
+       developers need.
+
+============================ Solaris Method A ==============================
+File:	 		solaris-oops.sh
+Contributor: 	David Collier-Brown
+Date: 			June 27, 2005
+Method and Use:
+To the global stanza of smb.conf add:
+	panic action = /usr/local/bin/solaris-oops.sh %d
+
+When the panic action is initiated a voluntary core dump file will be placed 
+in /var/tmp. Use this method with "log level = 10" and an smbd binary that
+has been built with the '-g' option.
+============================================================================
+

Added: branches/SAMBA_3_0/examples/debugging/solaris-oops.sh
===================================================================
--- branches/SAMBA_3_0/examples/debugging/solaris-oops.sh	2005-06-28 01:37:19 UTC (rev 7975)
+++ branches/SAMBA_3_0/examples/debugging/solaris-oops.sh	2005-06-28 01:50:18 UTC (rev 7976)
@@ -0,0 +1,52 @@
+#!/bin/sh
+#
+# oops -- capture supporting information after a failure
+#
+ProgName=`basename $0`
+
+main() {
+	pid=$1
+
+	if [ $# -lt 1 ]; then
+		say "$ProgName error: you must supply a pid"
+		say "Usage: $0 pid"
+		exit 1
+	fi
+	cat <<!
+State information and vountary core dump for process $pid
+
+Related processes were:
+`/usr/bin/ptree $pid`
+
+Stack(s) were:
+`/usr/bin/pstack $pid`
+
+Flags were:
+`/usr/bin/pflags $pid`
+
+Credentials were:
+`/usr/bin/pcred $pid`
+
+Libraries used were:
+`/usr/bin/pldd $pid`
+
+Signal-handler settings were:
+`/usr/bin/psig $pid`
+
+Files and devices in use were:
+`/usr/bin/pfiles $pid`
+
+Directory in use was:
+`/usr/bin/pwdx $pid`
+
+
+A voluntary core dump was placed in /var/tmp/oops_gcore.$pid
+`gcore -o /var/tmp/oops_gcore $pid`..
+!
+}
+
+say() {
+	echo "$@" 1>&2
+}
+
+main "$@"



More information about the samba-cvs mailing list